package de.hftstuttgart.dtabackend.models;

import java.util.Comparator;
import java.util.Objects;

public class ExerciseCompetencyProfile implements ICompetencyProfile {

	public String exerciseTopicName;
    public String exerciseName;
    public String exerciseURL;
    
    public float difficulty;

	public float[] competencyAssessments=new float[MAX_COMPETENCY_DIMENSIONS];
	
    @Override
    public boolean equals(Object other) {
    	return other instanceof ExerciseCompetencyProfile && Objects.equals(exerciseURL, ((ExerciseCompetencyProfile) other).exerciseURL); 
    }
}
