package de.hftstuttgart.dtabackend.models;

import java.util.Comparator;

public class Recommendation {
	public String topic;
    public String exerciseName;
    public String url;
    
    public float difficulty;
    
    public float score;
    
    public static final Comparator<Recommendation> COMPARE_BY_SCORE = Comparator.comparingDouble(other -> other.score);
    
    public Recommendation(String topic, String exerciseName, String url, float difficulty, float score) {
        this.topic = topic;
        this.exerciseName = exerciseName;
        this.url = url; 
        this.difficulty = difficulty;
        this.score = score;
    }
}
