package de.hftstuttgart.dtabackend.models;

public interface ICompetencyProfile {

	int MAX_COMPETENCY_DIMENSIONS = 16;
	String COMPETENCY_SEPARATOR = ";";

	public static float[] competencyProjection(float[] cp, float[] cp2) {
	    float z[] = new float[MAX_COMPETENCY_DIMENSIONS];

	    for (int i = 0; i < MAX_COMPETENCY_DIMENSIONS; i++) {
	        z[i] = cp[i] * cp2[i];
	    }
	   return z;
	}
	
	public static float[] competencyShare(float[] cp, float[] cpTotal) {
	    float z[] = new float[MAX_COMPETENCY_DIMENSIONS];

	    for (int i = 0; i < MAX_COMPETENCY_DIMENSIONS; i++) {
	        z[i] = cp[i] / cpTotal[i];
	    }
	   return z;
	}

	public static float[] competencySum(float[] cp, float[] cp2) {
	    float z[] = new float[MAX_COMPETENCY_DIMENSIONS];

	    for (int i = 0; i < MAX_COMPETENCY_DIMENSIONS; i++) {
	        z[i] = cp[i] + cp2[i];
	    }
	   return z;
	}

}
